# -*- coding: utf-8 -*-
# Copyright (c) 2020, JINGROW
# For license information, please see license.txt


import jingrow


def execute():
	obsolete_pagetypes = [
		"Credit Ledger Entry",
		"Custom Domain",
		"Site Analytics",
		"Site History",
		"Site Usage Ledger Entry",
		"Usage Report",
		"User Account",
	]
	for pagetype in obsolete_pagetypes:
		if jingrow.db.exists("PageType", pagetype):
			jingrow.delete_pg("PageType", pagetype)
